See the top rated post in this thread. Click here

Page 2 of 2 FirstFirst 12
Results 11 to 12 of 12

Thread: rotate function in lisp not working, but worked in older version

  1. #11
    I could stop if I wanted to Hammer.John.J's Avatar
    Join Date
    2015-09
    Location
    Springfield, MA
    Posts
    491
    Login to Give a bone
    0

    Default Re: rotate function in lisp not working, but worked in older version

    So the previous routine allowed me to type in the block name, we have a block for each scale that we use. i guess i could make 1 block and make it annotative though to solve this and then use just that.

    It kind of works... the ucs has to be set to world, and we typically have a user set UCS for sheet orientation and when i have a ucs other than world set it inserts the block at some weird unpredictable location on the polyline. this tended to be a problem on the old one as well.

    is there a way it can respect the current ucs?
    it'd also help if we could pick the second point on the line for orientation of the block because it seems the block is inserted based on the direction of the polyline. if we pick the 2nd point it could also avoid having to worry about the ucs?

    i suppose there is probably some way for the code to recognize the current ucs and that might fix all of it or you could let us pick a second point? not sure whichever is easier

    Tom
    linesmerge doesn't acknowledge background masks, it plots them as block boxes... has been a problem since autodesk created them.
    you can use linesmerge and wipeouts to ensure grays are sorted correctly, or use linesoverwrite and either put all the grays in an xref that it is plotted last, or don't use gray (or color)
    Last edited by Hammer.John.J; 2022-08-06 at 11:43 PM.

  2. #12
    All AUGI, all the time
    Join Date
    2010-06
    Posts
    962
    Login to Give a bone
    0

    Default Re: rotate function in lisp not working, but worked in older version

    Try replacing this part to work with your current ucs and let me know.
    Code:
    (setq blk (vlax-invoke
                       spc
                       'insertblock
                       (trans (vlax-curve-getclosestpointto ent ins) 0 1) ;; <<-- this part specifically 
                       bkn
                       1.
                       1.
                       1.
    ........................

Page 2 of 2 FirstFirst 12

Similar Threads

  1. Replies: 10
    Last Post: 2018-05-14, 07:50 PM
  2. DLL plugin worked at first but now doesn't
    By rollinkuhn in forum Dot Net API
    Replies: 1
    Last Post: 2011-01-27, 08:44 PM
  3. Commands not supported in older Cad Version
    By gthree in forum Software
    Replies: 2
    Last Post: 2010-03-25, 12:29 PM
  4. Revision macro worked in 2002, but not in 2006!
    By kastmiler in forum AutoCAD Customization
    Replies: 3
    Last Post: 2006-11-05, 01:38 PM
  5. Why can't Revit export older version of DWG ????
    By Richard McCarthy in forum Revit Architecture - General
    Replies: 7
    Last Post: 2004-03-20, 07:12 PM

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •